<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litepie',

    /*
     * Package.
     */
    'package'   => 'meeting',

    /*
     * Modules.
     */
    'modules'   => ['meeting'],

    
    'meeting'       => [
        'model' => [
            'model'                 => \Litepie\Meeting\Models\Meeting::class,
            'table'                 => 'meetings',
            'presenter'             => \Litepie\Meeting\Repositories\Presenter\MeetingPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'slug',  'parent_id',  'contacts_id',  'start_date',  'duration',  'status',  'assigned_to',  'attendes',  'reminders',  'shedule_time',  'description',  'user_id',  'user_type',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'meeting/meeting',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litepie',
            'package'   => 'Meeting',
            'module'    => 'Meeting',
        ],

    ],
];
